# Cf Interconnects ## List interconnects `magic_transit.cf_interconnects.list(CfInterconnectListParams**kwargs) -> CfInterconnectListResponse` **get** `/accounts/{account_id}/magic/cf_interconnects` Lists interconnects associated with an account. ### Parameters - `account_id: str` Identifier - `x_magic_new_hc_target: Optional[bool]` ### Returns - `class CfInterconnectListResponse: …` - `interconnects: Optional[List[Interconnect]]` - `id: Optional[str]` Identifier - `automatic_return_routing: Optional[bool]` True if automatic stateful return routing should be enabled for a tunnel, false otherwise. - `colo_name: Optional[str]` The name of the interconnect. The name cannot share a name with other tunnels. - `created_on: Optional[datetime]` The date and time the tunnel was created. - `description: Optional[str]` An optional description of the interconnect. - `gre: Optional[InterconnectGRE]` The configuration specific to GRE interconnects. - `cloudflare_endpoint: Optional[str]` The IP address assigned to the Cloudflare side of the GRE tunnel created as part of the Interconnect. - `health_check: Optional[HealthCheck]` - `enabled: Optional[bool]` Determines whether to run healthchecks for a tunnel. - `rate: Optional[HealthCheckRate]` How frequent the health check is run. The default value is `mid`. - `"low"` - `"mid"` - `"high"` - `target: Optional[Target]` The destination address in a request type health check. After the healthcheck is decapsulated at the customer end of the tunnel, the ICMP echo will be forwarded to this address. This field defaults to `customer_gre_endpoint address`. This field is ignored for bidirectional healthchecks as the interface_address (not assigned to the Cloudflare side of the tunnel) is used as the target. Must be in object form if the x-magic-new-hc-target header is set to true and string form if x-magic-new-hc-target is absent or set to false. - `class TargetMagicHealthCheckTarget: …` The destination address in a request type health check. After the healthcheck is decapsulated at the customer end of the tunnel, the ICMP echo will be forwarded to this address. This field defaults to `customer_gre_endpoint address`. This field is ignored for bidirectional healthchecks as the interface_address (not assigned to the Cloudflare side of the tunnel) is used as the target. - `effective: Optional[str]` The effective health check target. If 'saved' is empty, then this field will be populated with the calculated default value on GET requests. Ignored in POST, PUT, and PATCH requests. - `saved: Optional[str]` The saved health check target. Setting the value to the empty string indicates that the calculated default value will be used. - `str` - `type: Optional[HealthCheckType]` The type of healthcheck to run, reply or request. The default value is `reply`. - `"reply"` - `"request"` - `interface_address: Optional[str]` A 31-bit prefix (/31 in CIDR notation) supporting two hosts, one for each side of the tunnel. Select the subnet from the following private IP space: 10.0.0.0–10.255.255.255, 172.16.0.0–172.31.255.255, 192.168.0.0–192.168.255.255. - `interface_address6: Optional[str]` A 127 bit IPV6 prefix from within the virtual_subnet6 prefix space with the address being the first IP of the subnet and not same as the address of virtual_subnet6. Eg if virtual_subnet6 is 2606:54c1:7:0:a9fe:12d2::/127 , interface_address6 could be 2606:54c1:7:0:a9fe:12d2:1:200/127 - `modified_on: Optional[datetime]` The date and time the tunnel was last modified. - `mtu: Optional[int]` The Maximum Transmission Unit (MTU) in bytes for the interconnect. The minimum value is 576. - `name: Optional[str]` The name of the interconnect. The name cannot share a name with other tunnels. - `virtual_port_reservation_id: Optional[str]` An identifier that correlates this interconnect with the corresponding V2 CNI interconnect resource. ### Example ```python import os from cloudflare import Cloudflare client = Cloudflare( api_token=os.environ.get("CLOUDFLARE_API_TOKEN"), # This is the default and can be omitted ) cf_interconnects = client.magic_transit.cf_interconnects.list( account_id="023e105f4ecef8ad9ca31a8372d0c353", ) print(cf_interconnects.interconnects) ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "interconnects": [ { "id": "c4a7362d577a6c3019a474fd6f485821", "automatic_return_routing": true, "colo_name": "pni_ord", "created_on": "2017-06-14T00:00:00Z", "description": "Tunnel for Interconnect to ORD", "gre": { "cloudflare_endpoint": "203.0.113.1" }, "health_check": { "enabled": true, "rate": "low", "target": { "effective": "203.0.113.1", "saved": "203.0.113.1" }, "type": "request" }, "interface_address": "192.0.2.0/31", "interface_address6": "2606:54c1:7:0:a9fe:12d2:1:200/127", "modified_on": "2017-06-14T05:20:00Z", "mtu": 0, "name": "pni_ord", "virtual_port_reservation_id": "c4a7362d577a6c3019a474fd6f485821" } ] }, "success": true } ``` ## List interconnect Details `magic_transit.cf_interconnects.get(strcf_interconnect_id, CfInterconnectGetParams**kwargs) -> CfInterconnectGetResponse` **get** `/accounts/{account_id}/magic/cf_interconnects/{cf_interconnect_id}` Lists details for a specific interconnect. ### Parameters - `account_id: str` Identifier - `cf_interconnect_id: str` Identifier - `x_magic_new_hc_target: Optional[bool]` ### Returns - `class CfInterconnectGetResponse: …` - `interconnect: Optional[Interconnect]` - `id: Optional[str]` Identifier - `automatic_return_routing: Optional[bool]` True if automatic stateful return routing should be enabled for a tunnel, false otherwise. - `colo_name: Optional[str]` The name of the interconnect. The name cannot share a name with other tunnels. - `created_on: Optional[datetime]` The date and time the tunnel was created. - `description: Optional[str]` An optional description of the interconnect. - `gre: Optional[InterconnectGRE]` The configuration specific to GRE interconnects. - `cloudflare_endpoint: Optional[str]` The IP address assigned to the Cloudflare side of the GRE tunnel created as part of the Interconnect. - `health_check: Optional[HealthCheck]` - `enabled: Optional[bool]` Determines whether to run healthchecks for a tunnel. - `rate: Optional[HealthCheckRate]` How frequent the health check is run. The default value is `mid`. - `"low"` - `"mid"` - `"high"` - `target: Optional[Target]` The destination address in a request type health check. After the healthcheck is decapsulated at the customer end of the tunnel, the ICMP echo will be forwarded to this address. This field defaults to `customer_gre_endpoint address`. This field is ignored for bidirectional healthchecks as the interface_address (not assigned to the Cloudflare side of the tunnel) is used as the target. Must be in object form if the x-magic-new-hc-target header is set to true and string form if x-magic-new-hc-target is absent or set to false. - `class TargetMagicHealthCheckTarget: …` The destination address in a request type health check. After the healthcheck is decapsulated at the customer end of the tunnel, the ICMP echo will be forwarded to this address. This field defaults to `customer_gre_endpoint address`. This field is ignored for bidirectional healthchecks as the interface_address (not assigned to the Cloudflare side of the tunnel) is used as the target. - `effective: Optional[str]` The effective health check target. If 'saved' is empty, then this field will be populated with the calculated default value on GET requests. Ignored in POST, PUT, and PATCH requests. - `saved: Optional[str]` The saved health check target. Setting the value to the empty string indicates that the calculated default value will be used. - `str` - `type: Optional[HealthCheckType]` The type of healthcheck to run, reply or request. The default value is `reply`. - `"reply"` - `"request"` - `interface_address: Optional[str]` A 31-bit prefix (/31 in CIDR notation) supporting two hosts, one for each side of the tunnel. Select the subnet from the following private IP space: 10.0.0.0–10.255.255.255, 172.16.0.0–172.31.255.255, 192.168.0.0–192.168.255.255. - `interface_address6: Optional[str]` A 127 bit IPV6 prefix from within the virtual_subnet6 prefix space with the address being the first IP of the subnet and not same as the address of virtual_subnet6. Eg if virtual_subnet6 is 2606:54c1:7:0:a9fe:12d2::/127 , interface_address6 could be 2606:54c1:7:0:a9fe:12d2:1:200/127 - `modified_on: Optional[datetime]` The date and time the tunnel was last modified. - `mtu: Optional[int]` The Maximum Transmission Unit (MTU) in bytes for the interconnect. The minimum value is 576. - `name: Optional[str]` The name of the interconnect. The name cannot share a name with other tunnels. - `virtual_port_reservation_id: Optional[str]` An identifier that correlates this interconnect with the corresponding V2 CNI interconnect resource. ### Example ```python import os from cloudflare import Cloudflare client = Cloudflare( api_token=os.environ.get("CLOUDFLARE_API_TOKEN"), # This is the default and can be omitted ) cf_interconnect = client.magic_transit.cf_interconnects.get( cf_interconnect_id="023e105f4ecef8ad9ca31a8372d0c353", account_id="023e105f4ecef8ad9ca31a8372d0c353", ) print(cf_interconnect.interconnect) ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "interconnect": { "id": "c4a7362d577a6c3019a474fd6f485821", "automatic_return_routing": true, "colo_name": "pni_ord", "created_on": "2017-06-14T00:00:00Z", "description": "Tunnel for Interconnect to ORD", "gre": { "cloudflare_endpoint": "203.0.113.1" }, "health_check": { "enabled": true, "rate": "low", "target": { "effective": "203.0.113.1", "saved": "203.0.113.1" }, "type": "request" }, "interface_address": "192.0.2.0/31", "interface_address6": "2606:54c1:7:0:a9fe:12d2:1:200/127", "modified_on": "2017-06-14T05:20:00Z", "mtu": 0, "name": "pni_ord", "virtual_port_reservation_id": "c4a7362d577a6c3019a474fd6f485821" } }, "success": true } ``` ## Update interconnect `magic_transit.cf_interconnects.update(strcf_interconnect_id, CfInterconnectUpdateParams**kwargs) -> CfInterconnectUpdateResponse` **put** `/accounts/{account_id}/magic/cf_interconnects/{cf_interconnect_id}` Updates a specific interconnect associated with an account. Use `?validate_only=true` as an optional query parameter to only run validation without persisting changes. ### Parameters - `account_id: str` Identifier - `cf_interconnect_id: str` Identifier - `automatic_return_routing: Optional[bool]` True if automatic stateful return routing should be enabled for a tunnel, false otherwise. - `description: Optional[str]` An optional description of the interconnect. - `gre: Optional[GRE]` The configuration specific to GRE interconnects. - `cloudflare_endpoint: Optional[str]` The IP address assigned to the Cloudflare side of the GRE tunnel created as part of the Interconnect. - `health_check: Optional[HealthCheckParam]` - `enabled: Optional[bool]` Determines whether to run healthchecks for a tunnel. - `rate: Optional[HealthCheckRate]` How frequent the health check is run. The default value is `mid`. - `"low"` - `"mid"` - `"high"` - `target: Optional[Target]` The destination address in a request type health check. After the healthcheck is decapsulated at the customer end of the tunnel, the ICMP echo will be forwarded to this address. This field defaults to `customer_gre_endpoint address`. This field is ignored for bidirectional healthchecks as the interface_address (not assigned to the Cloudflare side of the tunnel) is used as the target. Must be in object form if the x-magic-new-hc-target header is set to true and string form if x-magic-new-hc-target is absent or set to false. - `class TargetMagicHealthCheckTarget: …` The destination address in a request type health check. After the healthcheck is decapsulated at the customer end of the tunnel, the ICMP echo will be forwarded to this address. This field defaults to `customer_gre_endpoint address`. This field is ignored for bidirectional healthchecks as the interface_address (not assigned to the Cloudflare side of the tunnel) is used as the target. - `effective: Optional[str]` The effective health check target. If 'saved' is empty, then this field will be populated with the calculated default value on GET requests. Ignored in POST, PUT, and PATCH requests. - `saved: Optional[str]` The saved health check target. Setting the value to the empty string indicates that the calculated default value will be used. - `str` - `type: Optional[HealthCheckType]` The type of healthcheck to run, reply or request. The default value is `reply`. - `"reply"` - `"request"` - `interface_address: Optional[str]` A 31-bit prefix (/31 in CIDR notation) supporting two hosts, one for each side of the tunnel. Select the subnet from the following private IP space: 10.0.0.0–10.255.255.255, 172.16.0.0–172.31.255.255, 192.168.0.0–192.168.255.255. - `interface_address6: Optional[str]` A 127 bit IPV6 prefix from within the virtual_subnet6 prefix space with the address being the first IP of the subnet and not same as the address of virtual_subnet6. Eg if virtual_subnet6 is 2606:54c1:7:0:a9fe:12d2::/127 , interface_address6 could be 2606:54c1:7:0:a9fe:12d2:1:200/127 - `mtu: Optional[int]` The Maximum Transmission Unit (MTU) in bytes for the interconnect. The minimum value is 576. - `name: Optional[str]` The name of the interconnect. The name cannot share a name with other tunnels. - `x_magic_new_hc_target: Optional[bool]` ### Returns - `class CfInterconnectUpdateResponse: …` - `modified: Optional[bool]` - `modified_interconnect: Optional[ModifiedInterconnect]` - `id: Optional[str]` Identifier - `automatic_return_routing: Optional[bool]` True if automatic stateful return routing should be enabled for a tunnel, false otherwise. - `colo_name: Optional[str]` The name of the interconnect. The name cannot share a name with other tunnels. - `created_on: Optional[datetime]` The date and time the tunnel was created. - `description: Optional[str]` An optional description of the interconnect. - `gre: Optional[ModifiedInterconnectGRE]` The configuration specific to GRE interconnects. - `cloudflare_endpoint: Optional[str]` The IP address assigned to the Cloudflare side of the GRE tunnel created as part of the Interconnect. - `health_check: Optional[HealthCheck]` - `enabled: Optional[bool]` Determines whether to run healthchecks for a tunnel. - `rate: Optional[HealthCheckRate]` How frequent the health check is run. The default value is `mid`. - `"low"` - `"mid"` - `"high"` - `target: Optional[Target]` The destination address in a request type health check. After the healthcheck is decapsulated at the customer end of the tunnel, the ICMP echo will be forwarded to this address. This field defaults to `customer_gre_endpoint address`. This field is ignored for bidirectional healthchecks as the interface_address (not assigned to the Cloudflare side of the tunnel) is used as the target. Must be in object form if the x-magic-new-hc-target header is set to true and string form if x-magic-new-hc-target is absent or set to false. - `class TargetMagicHealthCheckTarget: …` The destination address in a request type health check. After the healthcheck is decapsulated at the customer end of the tunnel, the ICMP echo will be forwarded to this address. This field defaults to `customer_gre_endpoint address`. This field is ignored for bidirectional healthchecks as the interface_address (not assigned to the Cloudflare side of the tunnel) is used as the target. - `effective: Optional[str]` The effective health check target. If 'saved' is empty, then this field will be populated with the calculated default value on GET requests. Ignored in POST, PUT, and PATCH requests. - `saved: Optional[str]` The saved health check target. Setting the value to the empty string indicates that the calculated default value will be used. - `str` - `type: Optional[HealthCheckType]` The type of healthcheck to run, reply or request. The default value is `reply`. - `"reply"` - `"request"` - `interface_address: Optional[str]` A 31-bit prefix (/31 in CIDR notation) supporting two hosts, one for each side of the tunnel. Select the subnet from the following private IP space: 10.0.0.0–10.255.255.255, 172.16.0.0–172.31.255.255, 192.168.0.0–192.168.255.255. - `interface_address6: Optional[str]` A 127 bit IPV6 prefix from within the virtual_subnet6 prefix space with the address being the first IP of the subnet and not same as the address of virtual_subnet6. Eg if virtual_subnet6 is 2606:54c1:7:0:a9fe:12d2::/127 , interface_address6 could be 2606:54c1:7:0:a9fe:12d2:1:200/127 - `modified_on: Optional[datetime]` The date and time the tunnel was last modified. - `mtu: Optional[int]` The Maximum Transmission Unit (MTU) in bytes for the interconnect. The minimum value is 576. - `name: Optional[str]` The name of the interconnect. The name cannot share a name with other tunnels. - `virtual_port_reservation_id: Optional[str]` An identifier that correlates this interconnect with the corresponding V2 CNI interconnect resource. ### Example ```python import os from cloudflare import Cloudflare client = Cloudflare( api_token=os.environ.get("CLOUDFLARE_API_TOKEN"), # This is the default and can be omitted ) cf_interconnect = client.magic_transit.cf_interconnects.update( cf_interconnect_id="023e105f4ecef8ad9ca31a8372d0c353", account_id="023e105f4ecef8ad9ca31a8372d0c353", ) print(cf_interconnect.modified) ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "modified": true, "modified_interconnect": { "id": "c4a7362d577a6c3019a474fd6f485821", "automatic_return_routing": true, "colo_name": "pni_ord", "created_on": "2017-06-14T00:00:00Z", "description": "Tunnel for Interconnect to ORD", "gre": { "cloudflare_endpoint": "203.0.113.1" }, "health_check": { "enabled": true, "rate": "low", "target": { "effective": "203.0.113.1", "saved": "203.0.113.1" }, "type": "request" }, "interface_address": "192.0.2.0/31", "interface_address6": "2606:54c1:7:0:a9fe:12d2:1:200/127", "modified_on": "2017-06-14T05:20:00Z", "mtu": 0, "name": "pni_ord", "virtual_port_reservation_id": "c4a7362d577a6c3019a474fd6f485821" } }, "success": true } ``` ## Update multiple interconnects `magic_transit.cf_interconnects.bulk_update(CfInterconnectBulkUpdateParams**kwargs) -> CfInterconnectBulkUpdateResponse` **put** `/accounts/{account_id}/magic/cf_interconnects` Updates multiple interconnects associated with an account. Use `?validate_only=true` as an optional query parameter to only run validation without persisting changes. ### Parameters - `account_id: str` Identifier - `body: object` - `x_magic_new_hc_target: Optional[bool]` ### Returns - `class CfInterconnectBulkUpdateResponse: …` - `modified: Optional[bool]` - `modified_interconnects: Optional[List[ModifiedInterconnect]]` - `id: Optional[str]` Identifier - `automatic_return_routing: Optional[bool]` True if automatic stateful return routing should be enabled for a tunnel, false otherwise. - `colo_name: Optional[str]` The name of the interconnect. The name cannot share a name with other tunnels. - `created_on: Optional[datetime]` The date and time the tunnel was created. - `description: Optional[str]` An optional description of the interconnect. - `gre: Optional[ModifiedInterconnectGRE]` The configuration specific to GRE interconnects. - `cloudflare_endpoint: Optional[str]` The IP address assigned to the Cloudflare side of the GRE tunnel created as part of the Interconnect. - `health_check: Optional[HealthCheck]` - `enabled: Optional[bool]` Determines whether to run healthchecks for a tunnel. - `rate: Optional[HealthCheckRate]` How frequent the health check is run. The default value is `mid`. - `"low"` - `"mid"` - `"high"` - `target: Optional[Target]` The destination address in a request type health check. After the healthcheck is decapsulated at the customer end of the tunnel, the ICMP echo will be forwarded to this address. This field defaults to `customer_gre_endpoint address`. This field is ignored for bidirectional healthchecks as the interface_address (not assigned to the Cloudflare side of the tunnel) is used as the target. Must be in object form if the x-magic-new-hc-target header is set to true and string form if x-magic-new-hc-target is absent or set to false. - `class TargetMagicHealthCheckTarget: …` The destination address in a request type health check. After the healthcheck is decapsulated at the customer end of the tunnel, the ICMP echo will be forwarded to this address. This field defaults to `customer_gre_endpoint address`. This field is ignored for bidirectional healthchecks as the interface_address (not assigned to the Cloudflare side of the tunnel) is used as the target. - `effective: Optional[str]` The effective health check target. If 'saved' is empty, then this field will be populated with the calculated default value on GET requests. Ignored in POST, PUT, and PATCH requests. - `saved: Optional[str]` The saved health check target. Setting the value to the empty string indicates that the calculated default value will be used. - `str` - `type: Optional[HealthCheckType]` The type of healthcheck to run, reply or request. The default value is `reply`. - `"reply"` - `"request"` - `interface_address: Optional[str]` A 31-bit prefix (/31 in CIDR notation) supporting two hosts, one for each side of the tunnel. Select the subnet from the following private IP space: 10.0.0.0–10.255.255.255, 172.16.0.0–172.31.255.255, 192.168.0.0–192.168.255.255. - `interface_address6: Optional[str]` A 127 bit IPV6 prefix from within the virtual_subnet6 prefix space with the address being the first IP of the subnet and not same as the address of virtual_subnet6. Eg if virtual_subnet6 is 2606:54c1:7:0:a9fe:12d2::/127 , interface_address6 could be 2606:54c1:7:0:a9fe:12d2:1:200/127 - `modified_on: Optional[datetime]` The date and time the tunnel was last modified. - `mtu: Optional[int]` The Maximum Transmission Unit (MTU) in bytes for the interconnect. The minimum value is 576. - `name: Optional[str]` The name of the interconnect. The name cannot share a name with other tunnels. - `virtual_port_reservation_id: Optional[str]` An identifier that correlates this interconnect with the corresponding V2 CNI interconnect resource. ### Example ```python import os from cloudflare import Cloudflare client = Cloudflare( api_token=os.environ.get("CLOUDFLARE_API_TOKEN"), # This is the default and can be omitted ) response = client.magic_transit.cf_interconnects.bulk_update( account_id="023e105f4ecef8ad9ca31a8372d0c353", body={}, ) print(response.modified) ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "modified": true, "modified_interconnects": [ { "id": "c4a7362d577a6c3019a474fd6f485821", "automatic_return_routing": true, "colo_name": "pni_ord", "created_on": "2017-06-14T00:00:00Z", "description": "Tunnel for Interconnect to ORD", "gre": { "cloudflare_endpoint": "203.0.113.1" }, "health_check": { "enabled": true, "rate": "low", "target": { "effective": "203.0.113.1", "saved": "203.0.113.1" }, "type": "request" }, "interface_address": "192.0.2.0/31", "interface_address6": "2606:54c1:7:0:a9fe:12d2:1:200/127", "modified_on": "2017-06-14T05:20:00Z", "mtu": 0, "name": "pni_ord", "virtual_port_reservation_id": "c4a7362d577a6c3019a474fd6f485821" } ] }, "success": true } ``` ## Domain Types ### Cf Interconnect List Response - `class CfInterconnectListResponse: …` - `interconnects: Optional[List[Interconnect]]` - `id: Optional[str]` Identifier - `automatic_return_routing: Optional[bool]` True if automatic stateful return routing should be enabled for a tunnel, false otherwise. - `colo_name: Optional[str]` The name of the interconnect. The name cannot share a name with other tunnels. - `created_on: Optional[datetime]` The date and time the tunnel was created. - `description: Optional[str]` An optional description of the interconnect. - `gre: Optional[InterconnectGRE]` The configuration specific to GRE interconnects. - `cloudflare_endpoint: Optional[str]` The IP address assigned to the Cloudflare side of the GRE tunnel created as part of the Interconnect. - `health_check: Optional[HealthCheck]` - `enabled: Optional[bool]` Determines whether to run healthchecks for a tunnel. - `rate: Optional[HealthCheckRate]` How frequent the health check is run. The default value is `mid`. - `"low"` - `"mid"` - `"high"` - `target: Optional[Target]` The destination address in a request type health check. After the healthcheck is decapsulated at the customer end of the tunnel, the ICMP echo will be forwarded to this address. This field defaults to `customer_gre_endpoint address`. This field is ignored for bidirectional healthchecks as the interface_address (not assigned to the Cloudflare side of the tunnel) is used as the target. Must be in object form if the x-magic-new-hc-target header is set to true and string form if x-magic-new-hc-target is absent or set to false. - `class TargetMagicHealthCheckTarget: …` The destination address in a request type health check. After the healthcheck is decapsulated at the customer end of the tunnel, the ICMP echo will be forwarded to this address. This field defaults to `customer_gre_endpoint address`. This field is ignored for bidirectional healthchecks as the interface_address (not assigned to the Cloudflare side of the tunnel) is used as the target. - `effective: Optional[str]` The effective health check target. If 'saved' is empty, then this field will be populated with the calculated default value on GET requests. Ignored in POST, PUT, and PATCH requests. - `saved: Optional[str]` The saved health check target. Setting the value to the empty string indicates that the calculated default value will be used. - `str` - `type: Optional[HealthCheckType]` The type of healthcheck to run, reply or request. The default value is `reply`. - `"reply"` - `"request"` - `interface_address: Optional[str]` A 31-bit prefix (/31 in CIDR notation) supporting two hosts, one for each side of the tunnel. Select the subnet from the following private IP space: 10.0.0.0–10.255.255.255, 172.16.0.0–172.31.255.255, 192.168.0.0–192.168.255.255. - `interface_address6: Optional[str]` A 127 bit IPV6 prefix from within the virtual_subnet6 prefix space with the address being the first IP of the subnet and not same as the address of virtual_subnet6. Eg if virtual_subnet6 is 2606:54c1:7:0:a9fe:12d2::/127 , interface_address6 could be 2606:54c1:7:0:a9fe:12d2:1:200/127 - `modified_on: Optional[datetime]` The date and time the tunnel was last modified. - `mtu: Optional[int]` The Maximum Transmission Unit (MTU) in bytes for the interconnect. The minimum value is 576. - `name: Optional[str]` The name of the interconnect. The name cannot share a name with other tunnels. - `virtual_port_reservation_id: Optional[str]` An identifier that correlates this interconnect with the corresponding V2 CNI interconnect resource. ### Cf Interconnect Get Response - `class CfInterconnectGetResponse: …` - `interconnect: Optional[Interconnect]` - `id: Optional[str]` Identifier - `automatic_return_routing: Optional[bool]` True if automatic stateful return routing should be enabled for a tunnel, false otherwise. - `colo_name: Optional[str]` The name of the interconnect. The name cannot share a name with other tunnels. - `created_on: Optional[datetime]` The date and time the tunnel was created. - `description: Optional[str]` An optional description of the interconnect. - `gre: Optional[InterconnectGRE]` The configuration specific to GRE interconnects. - `cloudflare_endpoint: Optional[str]` The IP address assigned to the Cloudflare side of the GRE tunnel created as part of the Interconnect. - `health_check: Optional[HealthCheck]` - `enabled: Optional[bool]` Determines whether to run healthchecks for a tunnel. - `rate: Optional[HealthCheckRate]` How frequent the health check is run. The default value is `mid`. - `"low"` - `"mid"` - `"high"` - `target: Optional[Target]` The destination address in a request type health check. After the healthcheck is decapsulated at the customer end of the tunnel, the ICMP echo will be forwarded to this address. This field defaults to `customer_gre_endpoint address`. This field is ignored for bidirectional healthchecks as the interface_address (not assigned to the Cloudflare side of the tunnel) is used as the target. Must be in object form if the x-magic-new-hc-target header is set to true and string form if x-magic-new-hc-target is absent or set to false. - `class TargetMagicHealthCheckTarget: …` The destination address in a request type health check. After the healthcheck is decapsulated at the customer end of the tunnel, the ICMP echo will be forwarded to this address. This field defaults to `customer_gre_endpoint address`. This field is ignored for bidirectional healthchecks as the interface_address (not assigned to the Cloudflare side of the tunnel) is used as the target. - `effective: Optional[str]` The effective health check target. If 'saved' is empty, then this field will be populated with the calculated default value on GET requests. Ignored in POST, PUT, and PATCH requests. - `saved: Optional[str]` The saved health check target. Setting the value to the empty string indicates that the calculated default value will be used. - `str` - `type: Optional[HealthCheckType]` The type of healthcheck to run, reply or request. The default value is `reply`. - `"reply"` - `"request"` - `interface_address: Optional[str]` A 31-bit prefix (/31 in CIDR notation) supporting two hosts, one for each side of the tunnel. Select the subnet from the following private IP space: 10.0.0.0–10.255.255.255, 172.16.0.0–172.31.255.255, 192.168.0.0–192.168.255.255. - `interface_address6: Optional[str]` A 127 bit IPV6 prefix from within the virtual_subnet6 prefix space with the address being the first IP of the subnet and not same as the address of virtual_subnet6. Eg if virtual_subnet6 is 2606:54c1:7:0:a9fe:12d2::/127 , interface_address6 could be 2606:54c1:7:0:a9fe:12d2:1:200/127 - `modified_on: Optional[datetime]` The date and time the tunnel was last modified. - `mtu: Optional[int]` The Maximum Transmission Unit (MTU) in bytes for the interconnect. The minimum value is 576. - `name: Optional[str]` The name of the interconnect. The name cannot share a name with other tunnels. - `virtual_port_reservation_id: Optional[str]` An identifier that correlates this interconnect with the corresponding V2 CNI interconnect resource. ### Cf Interconnect Update Response - `class CfInterconnectUpdateResponse: …` - `modified: Optional[bool]` - `modified_interconnect: Optional[ModifiedInterconnect]` - `id: Optional[str]` Identifier - `automatic_return_routing: Optional[bool]` True if automatic stateful return routing should be enabled for a tunnel, false otherwise. - `colo_name: Optional[str]` The name of the interconnect. The name cannot share a name with other tunnels. - `created_on: Optional[datetime]` The date and time the tunnel was created. - `description: Optional[str]` An optional description of the interconnect. - `gre: Optional[ModifiedInterconnectGRE]` The configuration specific to GRE interconnects. - `cloudflare_endpoint: Optional[str]` The IP address assigned to the Cloudflare side of the GRE tunnel created as part of the Interconnect. - `health_check: Optional[HealthCheck]` - `enabled: Optional[bool]` Determines whether to run healthchecks for a tunnel. - `rate: Optional[HealthCheckRate]` How frequent the health check is run. The default value is `mid`. - `"low"` - `"mid"` - `"high"` - `target: Optional[Target]` The destination address in a request type health check. After the healthcheck is decapsulated at the customer end of the tunnel, the ICMP echo will be forwarded to this address. This field defaults to `customer_gre_endpoint address`. This field is ignored for bidirectional healthchecks as the interface_address (not assigned to the Cloudflare side of the tunnel) is used as the target. Must be in object form if the x-magic-new-hc-target header is set to true and string form if x-magic-new-hc-target is absent or set to false. - `class TargetMagicHealthCheckTarget: …` The destination address in a request type health check. After the healthcheck is decapsulated at the customer end of the tunnel, the ICMP echo will be forwarded to this address. This field defaults to `customer_gre_endpoint address`. This field is ignored for bidirectional healthchecks as the interface_address (not assigned to the Cloudflare side of the tunnel) is used as the target. - `effective: Optional[str]` The effective health check target. If 'saved' is empty, then this field will be populated with the calculated default value on GET requests. Ignored in POST, PUT, and PATCH requests. - `saved: Optional[str]` The saved health check target. Setting the value to the empty string indicates that the calculated default value will be used. - `str` - `type: Optional[HealthCheckType]` The type of healthcheck to run, reply or request. The default value is `reply`. - `"reply"` - `"request"` - `interface_address: Optional[str]` A 31-bit prefix (/31 in CIDR notation) supporting two hosts, one for each side of the tunnel. Select the subnet from the following private IP space: 10.0.0.0–10.255.255.255, 172.16.0.0–172.31.255.255, 192.168.0.0–192.168.255.255. - `interface_address6: Optional[str]` A 127 bit IPV6 prefix from within the virtual_subnet6 prefix space with the address being the first IP of the subnet and not same as the address of virtual_subnet6. Eg if virtual_subnet6 is 2606:54c1:7:0:a9fe:12d2::/127 , interface_address6 could be 2606:54c1:7:0:a9fe:12d2:1:200/127 - `modified_on: Optional[datetime]` The date and time the tunnel was last modified. - `mtu: Optional[int]` The Maximum Transmission Unit (MTU) in bytes for the interconnect. The minimum value is 576. - `name: Optional[str]` The name of the interconnect. The name cannot share a name with other tunnels. - `virtual_port_reservation_id: Optional[str]` An identifier that correlates this interconnect with the corresponding V2 CNI interconnect resource. ### Cf Interconnect Bulk Update Response - `class CfInterconnectBulkUpdateResponse: …` - `modified: Optional[bool]` - `modified_interconnects: Optional[List[ModifiedInterconnect]]` - `id: Optional[str]` Identifier - `automatic_return_routing: Optional[bool]` True if automatic stateful return routing should be enabled for a tunnel, false otherwise. - `colo_name: Optional[str]` The name of the interconnect. The name cannot share a name with other tunnels. - `created_on: Optional[datetime]` The date and time the tunnel was created. - `description: Optional[str]` An optional description of the interconnect. - `gre: Optional[ModifiedInterconnectGRE]` The configuration specific to GRE interconnects. - `cloudflare_endpoint: Optional[str]` The IP address assigned to the Cloudflare side of the GRE tunnel created as part of the Interconnect. - `health_check: Optional[HealthCheck]` - `enabled: Optional[bool]` Determines whether to run healthchecks for a tunnel. - `rate: Optional[HealthCheckRate]` How frequent the health check is run. The default value is `mid`. - `"low"` - `"mid"` - `"high"` - `target: Optional[Target]` The destination address in a request type health check. After the healthcheck is decapsulated at the customer end of the tunnel, the ICMP echo will be forwarded to this address. This field defaults to `customer_gre_endpoint address`. This field is ignored for bidirectional healthchecks as the interface_address (not assigned to the Cloudflare side of the tunnel) is used as the target. Must be in object form if the x-magic-new-hc-target header is set to true and string form if x-magic-new-hc-target is absent or set to false. - `class TargetMagicHealthCheckTarget: …` The destination address in a request type health check. After the healthcheck is decapsulated at the customer end of the tunnel, the ICMP echo will be forwarded to this address. This field defaults to `customer_gre_endpoint address`. This field is ignored for bidirectional healthchecks as the interface_address (not assigned to the Cloudflare side of the tunnel) is used as the target. - `effective: Optional[str]` The effective health check target. If 'saved' is empty, then this field will be populated with the calculated default value on GET requests. Ignored in POST, PUT, and PATCH requests. - `saved: Optional[str]` The saved health check target. Setting the value to the empty string indicates that the calculated default value will be used. - `str` - `type: Optional[HealthCheckType]` The type of healthcheck to run, reply or request. The default value is `reply`. - `"reply"` - `"request"` - `interface_address: Optional[str]` A 31-bit prefix (/31 in CIDR notation) supporting two hosts, one for each side of the tunnel. Select the subnet from the following private IP space: 10.0.0.0–10.255.255.255, 172.16.0.0–172.31.255.255, 192.168.0.0–192.168.255.255. - `interface_address6: Optional[str]` A 127 bit IPV6 prefix from within the virtual_subnet6 prefix space with the address being the first IP of the subnet and not same as the address of virtual_subnet6. Eg if virtual_subnet6 is 2606:54c1:7:0:a9fe:12d2::/127 , interface_address6 could be 2606:54c1:7:0:a9fe:12d2:1:200/127 - `modified_on: Optional[datetime]` The date and time the tunnel was last modified. - `mtu: Optional[int]` The Maximum Transmission Unit (MTU) in bytes for the interconnect. The minimum value is 576. - `name: Optional[str]` The name of the interconnect. The name cannot share a name with other tunnels. - `virtual_port_reservation_id: Optional[str]` An identifier that correlates this interconnect with the corresponding V2 CNI interconnect resource.